package com.fs.erp.dto;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 资产处理详情对象
 *
 * @author xdd
 * @date 2025-02-27
 * @version 1.0
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class AssetProcessDetailDTO {

    /**
     * 资产ID
     */
    private Long asId;

    /**
     * 外部资产ID
     */
    private String outerAsId;

    /**
     * 处理详情
     */
    private String details;

    /**
     * 处理消息
     */
    private String message;

    /**
     * 是否处理成功
     */
    private Boolean isSuccess;
}
