package com.fs.course.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import java.math.BigDecimal;

@Data
public class FsCourseStaticsCountVO{

    @ApiModelProperty(value = "总学习时长")
    private Long courseWatchNum;

    @ApiModelProperty(value = "到课数")
    private Long courseCompleteNum;

    @ApiModelProperty(value = "答题红包数")
    private Long redPacketCount;

    @ApiModelProperty(value = "答题红包金额")
    private BigDecimal redPacketAmount;

    @ApiModelProperty(value = "正确答题数")
    private Long correctAnswerNum;

}
